This endpoint retrieves the full details of an email template in mailercloud. You can fetch a template either by passing the template name or its ID in the query parameters.
curl --request GET \ --url https://cloudapi.mailercloud.com/v1/templates/details?name=example \ --header 'Authorization: Your API Key here'
curl --request GET \ --url https://cloudapi.mailercloud.com/v1/templates/details?id=abc \ --header 'Authorization: Your API Key here'
GET
/
templates
/
details
Get Template by Name or ID
curl --request GET \ --url https://cloudapi.mailercloud.com/v1/templates/details \ --header 'Authorization: <api-key>'
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Mailercloud API","description":"Send campaigns, manage contacts, and automate email with the Mailercloud API.","colors":{"primary":"#1B7CFF","light":"#4D9AFF","dark":"#0F62D8"},"logo":{"light":"https://mintcdn.com/mailercloud/i1yaE0mG2KZobCyB/logo/light.svg?fit=max\u0026auto=format\u0026n=i1yaE0mG2KZobCyB\u0026q=85\u0026s=ee63a470243c3c865ec9248b577f2a20","dark":"https://mintcdn.com/mailercloud/141gVSRGKgQdCHEd/logo/dark.svg?fit=max\u0026auto=format\u0026n=141gVSRGKgQdCHEd\u0026q=85\u0026s=cc781b737536e3755238b1d9eaf979c3","href":"https://www.mailercloud.com"},"favicon":"https://mintcdn.com/mailercloud/i1yaE0mG2KZobCyB/favicon.png?fit=max\u0026auto=format\u0026n=i1yaE0mG2KZobCyB\u0026q=85\u0026s=00200874c6abcc324677e5a8fb5505c0","api":{"playground":{"display":"interactive"},"examples":{"defaults":"all","languages":["curl","python","javascript","php","go"]}},"background":{"color":{"dark":"#0A1220"}},"navbar":{"links":[{"href":"https://app.mailercloud.com/login","label":"Sign In"}],"primary":{"type":"button","label":"Get Started","href":"https://app.mailercloud.com/register?source=apidoc"}},"footer":{"socials":{"website":"https://www.mailercloud.com","x":"https://twitter.com/mailercloud","linkedin":"https://www.linkedin.com/company/mailercloud","facebook":"https://www.facebook.com/mailercloud","youtube":"https://www.youtube.com/channel/UCslSwv-TECN8rLvFM8wRlog"}},"fonts":{"heading":{"family":"Hanken Grotesk","weight":600},"body":{"family":"Inter","weight":400}},"styling":{"eyebrows":"breadcrumbs","latex":false},"contextual":{"options":["copy","view","chatgpt","claude","mcp","cursor"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"mailercloud","hasAudioNarration":false,"actualSubdomain":"mailercloud","customDomains":["apidoc.mailercloud.com"],"gitSource":{"type":"github","owner":"mailercloud-com","repo":"mailercloud-api-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"latestBuiltDeploymentHistoryId":"6ae1cccc201cdb70a521d146","collectionId":"631a1394-a3ec-4363-965d-624bbb36882a","liveDeploymentHistoryId":"6ae1cccc201cdb70a521d146","schemaVersion":"v3"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6ae1cccc201cdb70a521d146","clientVersion":"0.0.4006","searchFilterCounts":[{"language":"default","tag":"Marketing API","count":71},{"language":"default","tag":"Documentation","count":13},{"language":"default","tag":"Campaigns","count":12},{"language":"default","tag":"Guides","count":8},{"language":"default","tag":"Contacts","count":8},{"language":"default","tag":"Domains","count":7},{"language":"default","tag":"Inbox Tracker","count":7},{"language":"default","tag":"Webhooks","count":7},{"language":"default","tag":"Email API","count":6},{"language":"default","tag":"Email","count":6}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"support@mailercloud.com"}},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":true},"customCss":[{"filePath":"style.css","content":"#content-area .prose.text-lg{font-size:1rem;line-height:1.7}#pagination .pagination-title{font-size:.875rem;line-height:1.45}#navbar,#navbar-transition{background:linear-gradient(90deg,#0f62d8 0,#1b7cff 65%,#3d8bff 100%)!important;border-bottom:none!important;backdrop-filter:none!important}#navbar a,#navbar button,#navbar p,#navbar span,#navbar svg{color:#fff}#navbar a:hover{opacity:.85}#navbar img[src*=\"logo/light\"]{display:none!important}#navbar img[src*=\"logo/dark\"]{display:block!important}#topbar-cta-button a>span.absolute{background:#fff!important}#assistant-entry,#assistant-entry *,#topbar-cta-button,#topbar-cta-button *{color:#0f62d8!important}#search-bar-entry{background:rgba(255,255,255,.15);border-color:rgba(255,255,255,.3)}.dark #navbar,.dark #navbar-transition{background:linear-gradient(90deg,#0b2a55 0,#10408a 65%,#164fa5 100%)!important}.dark #assistant-entry,.dark #assistant-entry *{color:#7eb3ff!important}.dark #topbar-cta-button,.dark #topbar-cta-button *{color:#0f62d8!important}.tryit-button{background:#1b7cff!important;color:#fff!important}.tryit-button:hover{background:#0f62d8!important;opacity:1!important}#content-area h1{font-size:1.9375rem}#content-area h2{font-size:1.5625rem}#content-area h3{font-size:1.25rem}"}],"page":{"pagePath":"api-reference/templates/get-template-by-name-or-id","slug":"/api-reference/templates/get-template-by-name-or-id","pageMetadata":{"title":"Get Template by Name or ID","description":"This endpoint retrieves the full details of an email template in mailercloud. You can fetch a template either by passing the template name or its ID in the query parameters.\n\n```Name\ncurl --request GET \\\n --url https://cloudapi.mailercloud.com/v1/templates/details?name=example \\\n --header 'Authorization: Your API Key here'\n\n```\n```ID\ncurl --request GET \\\n --url https://cloudapi.mailercloud.com/v1/templates/details?id=abc \\\n --header 'Authorization: Your API Key here'\n\n```","deprecated":null,"version":null,"openapi":"/openapi-v1.json get /templates/details","href":"/api-reference/templates/get-template-by-name-or-id","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n pre: \"pre\",\n span: \"span\",\n ..._provideComponents(),\n ...props.components\n }, {CodeBlock} = _components;\n if (!CodeBlock) _missingMdxReference(\"CodeBlock\", true);\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"This endpoint retrieves the full details of an email template in mailercloud. You can fetch a template either by passing the template name or its ID in the query parameters.\"\n }), \"\\n\", _jsx(CodeBlock, {\n numberOfLines: \"5\",\n language: \"text\",\n children: _jsx(_components.pre, {\n className: \"shiki shiki-themes github-light-default dark-plus\",\n style: {\n backgroundColor: \"#ffffff\",\n \"--shiki-dark-bg\": \"#0B0C0E\",\n color: \"#1f2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n language: \"text\",\n children: _jsxs(_components.code, {\n language: \"text\",\n numberOfLines: \"5\",\n children: [_jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n children: \"curl --request GET \\\\\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n children: \" --url https://cloudapi.mailercloud.com/v1/templates/details?name=example \\\\\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n children: \" --header 'Authorization: Your API Key here'\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {})\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {})\n })]\n })\n })\n }), \"\\n\", _jsx(CodeBlock, {\n numberOfLines: \"5\",\n language: \"text\",\n children: _jsx(_components.pre, {\n className: \"shiki shiki-themes github-light-default dark-plus\",\n style: {\n backgroundColor: \"#ffffff\",\n \"--shiki-dark-bg\": \"#0B0C0E\",\n color: \"#1f2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n language: \"text\",\n children: _jsxs(_components.code, {\n language: \"text\",\n numberOfLines: \"5\",\n children: [_jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n children: \"curl --request GET \\\\\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n children: \" --url https://cloudapi.mailercloud.com/v1/templates/details?id=abc \\\\\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n children: \" --header 'Authorization: Your API Key here'\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {})\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {})\n })]\n })\n })\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\nfunction _missingMdxReference(id, component) {\n throw new Error(\"Expected \" + (component ? \"component\" : \"object\") + \" `\" + id + \"` to be defined: you likely forgot to import, pass, or provide it.\");\n}\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get Template by Name or ID","description":"This endpoint retrieves the full details of an email template in mailercloud. You can fetch a template either by passing the template name or its ID in the query parameters.\n\n```Name\ncurl --request GET \\\n --url https://cloudapi.mailercloud.com/v1/templates/details?name=example \\\n --header 'Authorization: Your API Key here'\n\n```\n```ID\ncurl --request GET \\\n --url https://cloudapi.mailercloud.com/v1/templates/details?id=abc \\\n --header 'Authorization: Your API Key here'\n\n```","deprecated":null,"version":null,"openapi":"/openapi-v1.json get /templates/details","href":"/api-reference/templates/get-template-by-name-or-id","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Get Template by Name or ID","operationId":"get-template-by-name-or-id","description":"This endpoint retrieves the full details of an email template in mailercloud. You can fetch a template either by passing the template name or its ID in the query parameters.\n\n```Name\ncurl --request GET \\\n --url https://cloudapi.mailercloud.com/v1/templates/details?name=example \\\n --header 'Authorization: Your API Key here'\n\n```\n```ID\ncurl --request GET \\\n --url https://cloudapi.mailercloud.com/v1/templates/details?id=abc \\\n --header 'Authorization: Your API Key here'\n\n```","tags":["Templates"],"responses":{"200":"f55e89a6-7c0b-480d-a938-bb9e0a67f161","400":"24c7e814-eeca-41b8-95f9-66dac555f48c","401":"becb0612-7109-4fcb-b469-12cb551d25ba"},"parameters":["0c3b1898-8525-4e04-81d6-9455aba2b13f","98fbe2ca-7e43-4cc6-8288-2a2c7f0c14f1"],"method":"get","type":"path","servers":["525ccd40-acd0-4c1f-b45f-645a2ccc048d"],"security":["797e1cf7-8b79-49d7-8256-e509d254deea"],"path":"/templates/details","baseUrlOptions":["https://cloudapi.mailercloud.com/v1"],"title":"Get Template by Name or ID","codeSamples":[],"requestExampleLanguages":["bash","python","javascript","php","go"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"0c3b1898-8525-4e04-81d6-9455aba2b13f":{"name":"name","in":"query","required":false,"schema":{"type":"string","isRequired":false,"description":"Template name to look up. Provide either `name` or `id`.","uniqueKey":"","typeLabel":"string"},"description":"Template name to look up. Provide either `name` or `id`."},"98fbe2ca-7e43-4cc6-8288-2a2c7f0c14f1":{"name":"id","in":"query","required":false,"schema":{"type":"string","isRequired":false,"description":"Template ID to look up. Provide either `name` or `id`.","uniqueKey":"","typeLabel":"string"},"description":"Template ID to look up. Provide either `name` or `id`."}},"responses":{"f55e89a6-7c0b-480d-a938-bb9e0a67f161":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"ampContent":{"type":"string","uniqueKey":"data.ampContent","typeLabel":"string"},"plainText":{"type":"string","uniqueKey":"data.plainText","typeLabel":"string"},"name":{"type":"string","uniqueKey":"data.name","typeLabel":"string"},"html":{"type":"string","uniqueKey":"data.html","typeLabel":"string"},"categoryId":{"type":"integer","uniqueKey":"data.categoryId","typeLabel":"integer"},"createdDate":{"type":"string","uniqueKey":"data.createdDate","typeLabel":"string"},"modifiedDate":{"type":"string","uniqueKey":"data.modifiedDate","typeLabel":"string"},"status":{"type":"string","uniqueKey":"data.status","typeLabel":"string"}},"uniqueKey":"data","typeLabel":"object"}},"x-examples":{"Example 1":{"data":{"ampContent":"","plainText":"Button Button Button Button Button Button","name":"Edit Preview - 1","html":"\u003c!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n\u003chtml xmlns=\"http://www.w3.org/1999/xhtml\" xmlns:o=\"urn:schemas-microsoft-com:office:office\"> \u003chead> \u003cmeta charset=\"UTF-8\"> \u003cmeta content=\"width=device-width, initial-scale=1\" name=\"viewport\"> \u003cmeta name=\"x-apple-disable-message-reformatting\"> \u003cmeta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\"> \u003cmeta content=\"telephone=no\" name=\"format-detection\"> \u003ctitle>\u003c/title> \u003c!--[if (mso 16)]> \u003cstyle type=\"text/css\"> a {text-decoration: none;} \u003c/style> \u003c![endif]--> \u003c!--[if gte mso 9]>\u003cstyle>sup { font-size: 100% !important; }\u003c/style>\u003c![endif]--> \u003c!--[if gte mso 9]> \u003cxml> \u003co:OfficeDocumentSettings> \u003co:AllowPNG>\u003c/o:AllowPNG> \u003co:PixelsPerInch>96\u003c/o:PixelsPerInch> \u003c/o:OfficeDocumentSettings> \u003c/xml> \u003c![endif]--> \u003cstyle type=\"text/css\">@import url(\"http://u0090.devimg.salesjio.com/uploads/fonts.css\");\u003c/style>\n\u003cstyle type=\"text/css\"> .rollover:hover .rollover-first {max-height:0px !important;display:none !important;}\n.rollover:hover .rollover-second {max-height:none !important;display:block !important;}\n#outlook a {padding:0;}\n.ml-button {mso-style-priority:100 !important;text-decoration:none;}\na[x-apple-data-detectors] {color:inherit !important;text-decoration:none !important;font-size:inherit !important;font-family:inherit !important;font-weight:inherit !important;line-height:inherit !important;}\n.ml-desk-hidden {display:none;float:left;overflow:hidden;width:0;max-height:0;line-height:0;mso-hide:all;}\n[data-ogsb] .ml-button {border-width:0 !important;padding:10px 20px 10px 20px !important;} @media only screen and (max-width:600px) { .st-br {padding-left:10px !important;padding-right:10px !important;}\np, ul li, ol li, a {line-height:150% !important;}\nh1 {font-size:30px !important;line-height:150% !important;}\nh2 {font-size:26px !important;line-height:150% !important;}\nh3 {font-size:20px !important;line-height:150% !important;}\n.ml-content-body h1 a {font-size:30px !important;}\n.ml-content-body h2 a {font-size:26px !important;}\n.ml-content-body h3 a {font-size:20px !important;}\n.ml-menu td a {font-size:14px !important;}\n*[class=\"gmail-fix\"] {display:none !important;}\n.ml-m-txt-c, .ml-m-txt-c h1, .ml-m-txt-c h2, .ml-m-txt-c h3 {text-align:center !important;}\n.ml-m-txt-r, .ml-m-txt-r h1, .ml-m-txt-r h2, .ml-m-txt-r h3 {text-align:right !important;}\n.ml-m-txt-l, .ml-m-txt-l h1, .ml-m-txt-l h2, .ml-m-txt-l h3 {text-align:left !important;}\n.ml-m-txt-r img, .ml-m-txt-c img, .ml-m-txt-l img {display:inline !important;}\n.ml-button-border {display:block !important;}\na.ml-button, button.ml-button {display:block !important;border-left-width:0px !important;border-right-width:0px !important;}\n.ml-adaptive table, .ml-left, .ml-right {width:100% !important;}\n.ml-content table, .ml-content {width:100% !important;max-width:600px !important;}\n.ml-adapt-td {display:block !important;width:100% !important;}\n.adapt-img {width:100% !important;height:auto !important;}\n.ml-m-p0 {padding:0 !important;}\n.ml-m-p0r {padding-right:0 !important;}\n.ml-m-p0l {padding-left:0 !important;}\n.ml-m-p0t {padding-top:0 !important;}\n.ml-m-p0b {padding-bottom:0 !important;}\n.ml-m-p20b {padding-bottom:20px !important;}\n.ml-mobile-hidden, .ml-hidden {display:none !important;}\ntr.ml-desk-hidden, td.ml-desk-hidden, table.ml-desk-hidden {width:auto !important;overflow:visible !important;float:none !important;max-height:inherit !important;line-height:inherit !important;}\ntr.ml-desk-hidden {display:table-row !important;}\ntable.ml-desk-hidden {display:table !important;}\ntd.ml-desk-menu-hidden {display:table-cell !important;}\n.ml-menu td {width:1% !important;}\ntable.ml-table-not-adapt, .esd-block-html table {width:auto !important;}\ntable.ml-smedia {display:inline-block !important;}\ntable.ml-smedia td {display:inline-block !important;}\n.mld-url-block {width:100% !important;} }\n\u003c/style>\n\u003c!--[if gte mso 12]>\n\u003cstyle type=\"text/css\">\n.mso-right { padding-left: 20px;\n}\n\u003c/style>\n\u003c![endif]-->\u003c/head>\u003cbody style=\"width:100%;font-family:arial,'helvetica neue',helvetica,sans-serif;-webkit-text-size-adjust:100%;-ms-text-size-adjust:100%;padding:0;Margin:0\">\u003cdiv bgcolor=\"#F2F6F8\" class=\"ml-wrapper-color\" style=\"background-color: #f2f6f8;\">\u003c!--[if gte mso 9]> \u003cv:background xmlns:v=\"urn:schemas-microsoft-com:vml\" fill=\"t\"> \u003cv:fill type=\"tile\" color=\"#f2f6f8\">\u003c/v:fill> \u003c/v:background> \u003c![endif]-->\u003ctable cellspacing=\"0\" cellpadding=\"0\" role=\"presentation\" width=\"100%\" bgcolor=\"#f2f6f8\" class=\"ml-wrapper\" style=\"mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;padding:0;Margin:0;width:100%;height:100%\">\u003ctr>\u003ctd valign=\"top\" class=\"mld-email-paddings\" style=\"padding:0;Margin:0\">\u003ctable cellspacing=\"0\" cellpadding=\"0\" role=\"presentation\" width=\"100%\" align=\"center\" class=\"ml-content\" style=\"mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;table-layout:fixed !important;width:100%\">\u003ctbody>\u003ctr>\u003ctd align=\"center\" style=\"Margin:0;padding:0px\">\u003ctable cellspacing=\"0\" cellpadding=\"0\" role=\"presentation\" align=\"center\" width=\"600\" class=\"ml-content-body\" style=\"mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;width:600px\">\u003ctbody>\u003ctr >\u003ctd align=\"left\" class=\"mld-structure\" style=\"Margin:0;padding:20px 20px 0px\">\u003c!--[if mso]>\u003ctable style=\"width:560px\" cellpadding=\"0\" cellspacing=\"0\">\u003ctr>\u003c![endif]-->\u003c!--[if mso]>\u003ctd style=\"width:560px\" valign=\"top\">\u003c![endif]-->\u003ctable cellspacing=\"0\" cellpadding=\"0\" role=\"presentation\" align=\"left\" class=\"ml-left\" style=\"mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;float:left\">\u003ctbody>\u003ctr class=\"mld-container\">\u003ctd align=\"center\" valign=\"top\" class=\"ml-m-p20b\" style=\"Margin:0;margin:0px;padding:0px;width:560px\">\u003ctable cellspacing=\"0\" cellpadding=\"0\" role=\"presentation\" width=\"100%\" style=\"mso-table-lspace:0pt;mso-table-rspace:0pt;border-spacing:0px;padding:0px;border-radius:0px;border-collapse:collapse\">\u003ctr class=\"mld-element\">\u003ctd align=\"center\" style=\"Margin:0;padding:0px\">\u003c!--[if mso]>\n\u003ca href=\"#\" target=\"_blank\"> \u003cv:roundrect xmlns:v=\"urn:schemas-microsoft-com:vml\" xmlns:w=\"urn:schemas-microsoft-com:office:word\" href=\"#\" style=\"height:39px;v-text-anchor:middle;width:87px;\" arcsize=\"13%\" stroke=\"f\" fillcolor=\"#192028\"> \u003cw:anchorlock>\u003c/w:anchorlock> \u003ccenter style=\"color:#FFFFFF;font-family:arial,'helvetica neue',helvetica,sans-serif;font-size:16px;font-weight:normal; font-style:normal; text-decoration: none; \">Button\u003c/center> \u003c/v:roundrect>\n\u003c/a>\n\u003c![endif]--> \u003c!--[if !mso]>\u003c!-- -->\u003cspan class=\"ml-button-border msohide\" style=\"border-radius:5px;width:auto;background:#192028;display:inline-block\">\u003ca href=\"#\" target=\"_blank\" class=\"ml-button\" style=\"-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;border-style:solid;border-width:10px 20px 10px 20px;border-radius:5px;font-size:16px;font-family:arial,'helvetica neue',helvetica,sans-serif;font-weight:normal;font-style:normal;line-height:120%;color:#FFFFFF;text-decoration:none;width:auto;text-align:center;background:#192028;display:inline-block;border-color:#192028\">Button\u003c/a>\u003c/span>\u003c!--\u003c![endif]-->\u003c/td>\u003c/tr>\u003c/table>\u003c/td>\u003c/tr>\u003c/tbody>\u003c/table>\u003c!--[if mso]>\u003c/td>\u003c![endif]-->\u003c!--[if mso]>\u003c/tr>\u003c/table>\u003c![endif]-->\u003c/td>\u003c/tr>\u003ctr >\u003ctd align=\"left\" class=\"mld-structure\" style=\"Margin:0;padding:20px 20px 0px\">\u003c!--[if mso]>\u003ctable style=\"width:560px\" cellpadding=\"0\" cellspacing=\"0\">\u003ctr>\u003c![endif]-->\u003c!--[if mso]>\u003ctd style=\"width:270px\" valign=\"top\">\u003c![endif]-->\u003ctable cellspacing=\"0\" cellpadding=\"0\" role=\"presentation\" align=\"left\" class=\"ml-left\" style=\"mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;float:left\">\u003ctbody>\u003ctr class=\"mld-container\">\u003ctd align=\"center\" valign=\"top\" class=\"ml-m-p20b\" style=\"Margin:0;margin:0px;padding:0px;width:270px\">\u003ctable cellspacing=\"0\" cellpadding=\"0\" role=\"presentation\" width=\"100%\" style=\"mso-table-lspace:0pt;mso-table-rspace:0pt;border-spacing:0px;padding:0px;border-radius:0px;border-collapse:collapse\">\u003ctr class=\"mld-element\">\u003ctd align=\"center\" style=\"Margin:0;padding:0px\">\u003c!--[if mso]>\n\u003ca href=\"#\" target=\"_blank\"> \u003cv:roundrect xmlns:v=\"urn:schemas-microsoft-com:vml\" xmlns:w=\"urn:schemas-microsoft-com:office:word\" href=\"#\" style=\"height:39px;v-text-anchor:middle;width:87px;\" arcsize=\"13%\" stroke=\"f\" fillcolor=\"#50E3C2\"> \u003cw:anchorlock>\u003c/w:anchorlock> \u003ccenter style=\"color:#FFFFFF;font-family:arial,'helvetica neue',helvetica,sans-serif;font-size:16px;font-weight:normal; font-style:normal; text-decoration: none; \">Button\u003c/center> \u003c/v:roundrect>\n\u003c/a>\n\u003c![endif]--> \u003c!--[if !mso]>\u003c!-- -->\u003cspan class=\"ml-button-border msohide\" style=\"border-radius:5px;width:auto;background:#50e3c2;display:inline-block\">\u003ca href=\"#\" target=\"_blank\" class=\"ml-button\" style=\"-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;border-style:solid;border-width:10px 20px 10px 20px;border-radius:5px;font-size:16px;font-family:arial,'helvetica neue',helvetica,sans-serif;font-weight:normal;font-style:normal;line-height:120%;color:#FFFFFF;text-decoration:none;width:auto;text-align:center;background:#50e3c2;display:inline-block;border-color:#50e3c2\">Button\u003c/a>\u003c/span>\u003c!--\u003c![endif]-->\u003c/td>\u003c/tr>\u003c/table>\u003c/td>\u003c/tr>\u003c/tbody>\u003c/table>\u003c!--[if mso]>\u003c/td>\u003ctd width=\"20\">\u003c/td>\u003c![endif]-->\u003c!--[if mso]>\u003ctd style=\"width:270px\" valign=\"top\">\u003c![endif]-->\u003ctable cellspacing=\"0\" cellpadding=\"0\" role=\"presentation\" align=\"right\" class=\"ml-right\" style=\"mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;float:right\">\u003ctbody>\u003ctr class=\"mld-container\">\u003ctd align=\"center\" valign=\"top\" style=\"Margin:0;margin:0px;padding:0px;width:270px\">\u003ctable cellspacing=\"0\" cellpadding=\"0\" role=\"presentation\" width=\"100%\" style=\"mso-table-lspace:0pt;mso-table-rspace:0pt;border-spacing:0px;padding:0px;border-radius:0px;border-collapse:collapse\">\u003ctr class=\"mld-element\">\u003ctd align=\"center\" style=\"Margin:0;padding:0px\">\u003c!--[if mso]>\n\u003ca href=\"#\" target=\"_blank\"> \u003cv:roundrect xmlns:v=\"urn:schemas-microsoft-com:vml\" xmlns:w=\"urn:schemas-microsoft-com:office:word\" href=\"#\" style=\"height:39px;v-text-anchor:middle;width:87px;\" arcsize=\"13%\" stroke=\"f\" fillcolor=\"#7ED321\"> \u003cw:anchorlock>\u003c/w:anchorlock> \u003ccenter style=\"color:#FFFFFF;font-family:arial,'helvetica neue',helvetica,sans-serif;font-size:16px;font-weight:normal; font-style:normal; text-decoration: none; \">Button\u003c/center> \u003c/v:roundrect>\n\u003c/a>\n\u003c![endif]--> \u003c!--[if !mso]>\u003c!-- -->\u003cspan class=\"ml-button-border msohide\" style=\"border-radius:5px;width:auto;background:#7ed321;display:inline-block\">\u003ca href=\"#\" target=\"_blank\" class=\"ml-button\" style=\"-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;border-style:solid;border-width:10px 20px 10px 20px;border-radius:5px;font-family:arial,'helvetica neue',helvetica,sans-serif;font-weight:normal;font-style:normal;line-height:120%;text-decoration:none;width:auto;text-align:center;background:#7ed321;color:#ffffff;font-size:16px;display:inline-block;border-color:#7ed321\">Button\u003c/a>\u003c/span>\u003c!--\u003c![endif]-->\u003c/td>\u003c/tr>\u003c/table>\u003c/td>\u003c/tr>\u003c/tbody>\u003c/table>\u003c!--[if mso]>\u003c/td>\u003c![endif]-->\u003c!--[if mso]>\u003c/tr>\u003c/table>\u003c![endif]-->\u003c/td>\u003c/tr>\u003ctr >\u003ctd align=\"left\" class=\"mld-structure\" style=\"Margin:0;padding:20px 20px 0px\">\u003c!--[if mso]>\u003ctable style=\"width:560px\" cellpadding=\"0\" cellspacing=\"0\">\u003ctr>\u003c![endif]-->\u003c!--[if mso]>\u003ctd style=\"width:194px\" valign=\"top\">\u003c![endif]-->\u003ctable cellspacing=\"0\" cellpadding=\"0\" role=\"presentation\" align=\"left\" class=\"ml-left\" style=\"mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;float:left\">\u003ctbody>\u003ctr class=\"mld-container\">\u003ctd align=\"center\" valign=\"top\" class=\"ml-m-p20b\" style=\"Margin:0;margin:0px;padding:0px;width:174px\">\u003ctable cellspacing=\"0\" cellpadding=\"0\" role=\"presentation\" width=\"100%\" style=\"mso-table-lspace:0pt;mso-table-rspace:0pt;border-spacing:0px;padding:0px;border-radius:0px;border-collapse:collapse\">\u003ctr class=\"mld-element\">\u003ctd align=\"center\" style=\"Margin:0;padding:0px\">\u003c!--[if mso]>\n\u003ca href=\"#\" target=\"_blank\"> \u003cv:roundrect xmlns:v=\"urn:schemas-microsoft-com:vml\" xmlns:w=\"urn:schemas-microsoft-com:office:word\" href=\"#\" style=\"height:39px;v-text-anchor:middle;width:87px;\" arcsize=\"13%\" stroke=\"f\" fillcolor=\"#007BFF\"> \u003cw:anchorlock>\u003c/w:anchorlock> \u003ccenter style=\"color:#FFFFFF;font-family:arial,'helvetica neue',helvetica,sans-serif;font-size:16px;font-weight:normal; font-style:normal; text-decoration: none; \">Button\u003c/center> \u003c/v:roundrect>\n\u003c/a>\n\u003c![endif]--> \u003c!--[if !mso]>\u003c!-- -->\u003cspan class=\"ml-button-border msohide\" style=\"background:#007BFF;border-radius:5px;width:auto;display:inline-block\">\u003ca href=\"#\" target=\"_blank\" class=\"ml-button\" style=\"-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;border-style:solid;border-color:#007BFF;border-width:10px 20px 10px 20px;background:#007BFF;border-radius:5px;font-size:16px;font-family:arial,'helvetica neue',helvetica,sans-serif;font-weight:normal;font-style:normal;line-height:120%;color:#FFFFFF;text-decoration:none;width:auto;text-align:center;display:inline-block\">Button\u003c/a>\u003c/span>\u003c!--\u003c![endif]-->\u003c/td>\u003c/tr>\u003c/table>\u003c/td>\u003ctd class=\"ml-hidden\" style=\"Margin:0;padding:0px;margin:0px;width:20px\">\u003c/td>\u003c/tr>\u003c/tbody>\u003c/table>\u003c!--[if mso]>\u003c/td>\u003c![endif]-->\u003c!--[if mso]>\u003ctd style=\"width:173px\" valign=\"top\">\u003c![endif]-->\u003ctable cellspacing=\"0\" cellpadding=\"0\" role=\"presentation\" align=\"left\" class=\"ml-left\" style=\"mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;float:left\">\u003ctbody>\u003ctr class=\"mld-container\">\u003ctd align=\"center\" valign=\"top\" class=\"ml-m-p20b\" style=\"Margin:0;margin:0px;padding:0px;width:173px\">\u003ctable cellspacing=\"0\" cellpadding=\"0\" role=\"presentation\" width=\"100%\" style=\"mso-table-lspace:0pt;mso-table-rspace:0pt;border-spacing:0px;padding:0px;border-radius:0px;border-collapse:collapse\">\u003ctr class=\"mld-element\">\u003ctd align=\"center\" style=\"Margin:0;padding:0px\">\u003c!--[if mso]>\n\u003ca href=\"#\" target=\"_blank\"> \u003cv:roundrect xmlns:v=\"urn:schemas-microsoft-com:vml\" xmlns:w=\"urn:schemas-microsoft-com:office:word\" href=\"#\" style=\"height:39px;v-text-anchor:middle;width:87px;\" arcsize=\"13%\" strokecolor=\"#000000\" strokeweight=\"1px\" fillcolor=\"#FB6376\"> \u003cw:anchorlock>\u003c/w:anchorlock> \u003ccenter style=\"color:#FFFFFF;font-family:arial,'helvetica neue',helvetica,sans-serif;font-size:16px;font-weight:normal; font-style:normal; text-decoration: none; \">Button\u003c/center> \u003c/v:roundrect>\n\u003c/a>\n\u003c![endif]--> \u003c!--[if !mso]>\u003c!-- -->\u003cspan class=\"ml-button-border msohide\" style=\"border-radius:5px;width:auto;border-bottom:1px solid #000000;background:#fb6376;display:inline-block\">\u003ca href=\"#\" target=\"_blank\" class=\"ml-button\" style=\"-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;border-style:solid;border-width:10px 20px 10px 20px;border-radius:5px;font-family:arial,'helvetica neue',helvetica,sans-serif;font-weight:normal;font-style:normal;line-height:120%;text-decoration:none;width:auto;text-align:center;background:#fb6376;color:#ffffff;font-size:16px;display:inline-block;border-color:#fb6376\">Button\u003c/a>\u003c/span>\u003c!--\u003c![endif]-->\u003c/td>\u003c/tr>\u003c/table>\u003c/td>\u003c/tr>\u003c/tbody>\u003c/table>\u003c!--[if mso]>\u003c/td>\u003ctd width=\"20\">\u003c/td>\u003c![endif]-->\u003c!--[if mso]>\u003ctd style=\"width:173px\" valign=\"top\">\u003c![endif]-->\u003ctable cellspacing=\"0\" cellpadding=\"0\" role=\"presentation\" align=\"right\" class=\"ml-right\" style=\"mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;float:right\">\u003ctbody>\u003ctr class=\"mld-container\">\u003ctd align=\"center\" valign=\"top\" style=\"Margin:0;margin:0px;padding:0px;width:173px\">\u003ctable cellspacing=\"0\" cellpadding=\"0\" role=\"presentation\" width=\"100%\" style=\"mso-table-lspace:0pt;mso-table-rspace:0pt;border-spacing:0px;padding:0px;border-radius:0px;border-collapse:collapse\">\u003ctr class=\"mld-element\">\u003ctd align=\"center\" style=\"Margin:0;padding:0px\">\u003c!--[if mso]>\n\u003ca href=\"#\" target=\"_blank\"> \u003cv:roundrect xmlns:v=\"urn:schemas-microsoft-com:vml\" xmlns:w=\"urn:schemas-microsoft-com:office:word\" href=\"#\" style=\"height:39px;v-text-anchor:middle;width:87px;\" arcsize=\"13%\" stroke=\"f\" fillcolor=\"#007BFF\"> \u003cw:anchorlock>\u003c/w:anchorlock> \u003ccenter style=\"color:#FFFFFF;font-family:arial,'helvetica neue',helvetica,sans-serif;font-size:16px;font-weight:normal; font-style:normal; text-decoration: none; \">Button\u003c/center> \u003c/v:roundrect>\n\u003c/a>\n\u003c![endif]--> \u003c!--[if !mso]>\u003c!-- -->\u003cspan class=\"ml-button-border msohide\" style=\"background:#007BFF;border-radius:5px;width:auto;display:inline-block\">\u003ca href=\"#\" target=\"_blank\" class=\"ml-button\" style=\"-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;border-style:solid;border-color:#007BFF;border-width:10px 20px 10px 20px;background:#007BFF;border-radius:5px;font-size:16px;font-family:arial,'helvetica neue',helvetica,sans-serif;font-weight:normal;font-style:normal;line-height:120%;color:#FFFFFF;text-decoration:none;width:auto;text-align:center;display:inline-block\">Button\u003c/a>\u003c/span>\u003c!--\u003c![endif]-->\u003c/td>\u003c/tr>\u003c/table>\u003c/td>\u003c/tr>\u003c/tbody>\u003c/table>\u003c!--[if mso]>\u003c/td>\u003c![endif]-->\u003c!--[if mso]>\u003c/tr>\u003c/table>\u003c![endif]-->\u003c/td>\u003c/tr>\u003c/tbody>\u003c/table>\u003c/td>\u003c/tr>\u003c/tbody>\u003c/table>\u003c/td>\u003c/tr>\u003c/table>\u003c/div>\n\u003c/body>\u003c/html>","categoryId":0,"createdDate":"2025-06-13 03:08:30","modifiedDate":"2025-06-13 03:10:28","status":"active"}}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example-1":{"title":"Example-1","value":{"data":{"plainText":"Hello Reader","id":"k","name":"temp 1","html":"\u003chtml>....\u003c/html>","categoryId":10,"createdDate":"2023-06-28 14:04:16","modifiedDate":"2023-07-03 11:24:15","status":"active"}}}},"exampleType":"examples"}},"exampleType":"examples"},"24c7e814-eeca-41b8-95f9-66dac555f48c":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","uniqueKey":"error","typeLabel":"string"}},"x-examples":{"Example 1":{"error":"Template Name does not exist"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example-1":{"title":"Example-1","value":{"error":"Template Name does not exist"}}},"exampleType":"examples"}},"exampleType":"examples"},"becb0612-7109-4fcb-b469-12cb551d25ba":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","uniqueKey":"errors.items.[INDEX].field","typeLabel":"string"},"message":{"type":"string","uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors","typeLabel":"object[]"}},"x-examples":{"Example 1":{"errors":[{"field":"","message":"Authorization failed"}]}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example-1":{"title":"Example-1","value":{"errors":[{"field":"","message":"Authorization failed"}]}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"797e1cf7-8b79-49d7-8256-e509d254deea":{"apiKey":{"type":"apiKey","in":"header","name":"Authorization","description":"Your Mailercloud API key (plain text, no Bearer prefix). Create keys in Settings → API.","scopes":[],"schemeName":"apiKey"}}},"servers":{"525ccd40-acd0-4c1f-b45f-645a2ccc048d":{"url":"https://cloudapi.mailercloud.com/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"Authorization","description":"Your Mailercloud API key (plain text, no Bearer prefix). Create keys in Settings → API.","scopes":[],"schemeName":"apiKey"},"schema":{"title":"Authorization","type":"string","description":"Your Mailercloud API key (plain text, no Bearer prefix). Create keys in Settings → API.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apiKey","name":"Authorization"}],"title":"apiKey"}]},"originalFileLocation":"openapi-v1.json"},"subdomain":"mailercloud","siteName":"Mailercloud API","title":"Get Template by Name or ID - Mailercloud API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-27T11:58:41.466Z","originalFileLocation":"api-reference/templates/get-template-by-name-or-id.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This endpoint retrieves the full details of an email template in mailercloud. You can fetch a template either by passing the template name or its ID in the query parameters. Name curl --request GET \\ --url https://cloudapi.mailercloud.com/v1/templates/details?name=example \\ --header \u0026#x27;Authorization: Your API Key here\u0026#x27; ID curl --request GET \\ --url https://cloudapi.mailercloud.com/v1/templates/details?id=abc \\ --header \u0026#x27;Authorization: Your API Key here\u0026#x27;\">\u003cmeta data-mint-head name=\"application-name\" content=\"Mailercloud API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mailercloud/xGtgtsD6i5MXTEn-/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/mailercloud/xGtgtsD6i5MXTEn-/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mailercloud/xGtgtsD6i5MXTEn-/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mailercloud/xGtgtsD6i5MXTEn-/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mailercloud/xGtgtsD6i5MXTEn-/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mailercloud/xGtgtsD6i5MXTEn-/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mailercloud/xGtgtsD6i5MXTEn-/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mailercloud/xGtgtsD6i5MXTEn-/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mailercloud/xGtgtsD6i5MXTEn-/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get Template by Name or ID - Mailercloud API\">\u003cmeta data-mint-head property=\"og:description\" content=\"This endpoint retrieves the full details of an email template in mailercloud. You can fetch a template either by passing the template name or its ID in the query parameters. Name curl --request GET \\ --url https://cloudapi.mailercloud.com/v1/templates/details?name=example \\ --header \u0026#x27;Authorization: Your API Key here\u0026#x27; ID curl --request GET \\ --url https://cloudapi.mailercloud.com/v1/templates/details?id=abc \\ --header \u0026#x27;Authorization: Your API Key here\u0026#x27;\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Mailercloud API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://apidoc.mailercloud.com/api-reference/templates/get-template-by-name-or-id\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://mailercloud.mintlify.app/_mintlify/api/og/v2?division=Templates\u0026amp;title=Get+Template+by+Name+or+ID\u0026amp;description=This+endpoint+retrieves+the+full+details+of+an+email+template+in+mailercloud.+You+can+fetch+a+template+either+by+passing+the+template+name+or+its+ID+in+the+quer\u0026amp;theme=936b6c78a22bbcb175702a1d\u0026amp;signature=723fda4a346c7d84d61fe24337bf9647bc0ebd9e6e153ce1f0c9f1f7aebb125e\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get Template by Name or ID - Mailercloud API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This endpoint retrieves the full details of an email template in mailercloud. You can fetch a template either by passing the template name or its ID in the query parameters. Name curl --request GET \\ --url https://cloudapi.mailercloud.com/v1/templates/details?name=example \\ --header \u0026#x27;Authorization: Your API Key here\u0026#x27; ID curl --request GET \\ --url https://cloudapi.mailercloud.com/v1/templates/details?id=abc \\ --header \u0026#x27;Authorization: Your API Key here\u0026#x27;\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://mailercloud.mintlify.app/_mintlify/api/og/v2?division=Templates\u0026amp;title=Get+Template+by+Name+or+ID\u0026amp;description=This+endpoint+retrieves+the+full+details+of+an+email+template+in+mailercloud.+You+can+fetch+a+template+either+by+passing+the+template+name+or+its+ID+in+the+quer\u0026amp;theme=936b6c78a22bbcb175702a1d\u0026amp;signature=723fda4a346c7d84d61fe24337bf9647bc0ebd9e6e153ce1f0c9f1f7aebb125e\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/mailercloud/xGtgtsD6i5MXTEn-/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Mailercloud API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#1B7CFF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://apidoc.mailercloud.com/api-reference/templates/get-template-by-name-or-id\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/templates/get-template-by-name-or-id.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://apidoc.mailercloud.com/#organization\",\"name\":\"Mailercloud API\",\"url\":\"https://apidoc.mailercloud.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/mailercloud/i1yaE0mG2KZobCyB/logo/light.svg?fit=max\u0026auto=format\u0026n=i1yaE0mG2KZobCyB\u0026q=85\u0026s=ee63a470243c3c865ec9248b577f2a20\"}},{\"@type\":\"WebSite\",\"@id\":\"https://apidoc.mailercloud.com#website\",\"name\":\"Mailercloud API\",\"url\":\"https://apidoc.mailercloud.com\",\"publisher\":{\"@id\":\"https://apidoc.mailercloud.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://apidoc.mailercloud.com/api-reference/templates/get-template-by-name-or-id#webpage\",\"url\":\"https://apidoc.mailercloud.com/api-reference/templates/get-template-by-name-or-id\",\"name\":\"Get Template by Name or ID\",\"description\":\"This endpoint retrieves the full details of an email template in mailercloud. You can fetch a template either by passing the template name or its ID in the query parameters. Name curl --request GET \\\\ --url https://cloudapi.mailercloud.com/v1/templates/details?name=example \\\\ --header 'Authorization: Your API Key here' ID curl --request GET \\\\ --url https://cloudapi.mailercloud.com/v1/templates/details?id=abc \\\\ --header 'Authorization: Your API Key here'\",\"dateModified\":\"2026-10-27T11:58:41.466Z\",\"isPartOf\":{\"@id\":\"https://apidoc.mailercloud.com#website\"},\"breadcrumb\":{\"@id\":\"https://apidoc.mailercloud.com/api-reference/templates/get-template-by-name-or-id#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://apidoc.mailercloud.com/api-reference/templates/get-template-by-name-or-id#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Templates\",\"item\":\"https://apidoc.mailercloud.com/api-reference/templates/create-template\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get Template by Name or ID\",\"item\":\"https://apidoc.mailercloud.com/api-reference/templates/get-template-by-name-or-id\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://apidoc.mailercloud.com/api-reference/templates/get-template-by-name-or-id#apireference\",\"headline\":\"Get Template by Name or ID\",\"name\":\"Get Template by Name or ID\",\"description\":\"This endpoint retrieves the full details of an email template in mailercloud. You can fetch a template either by passing the template name or its ID in the query parameters. Name curl --request GET \\\\ --url https://cloudapi.mailercloud.com/v1/templates/details?name=example \\\\ --header 'Authorization: Your API Key here' ID curl --request GET \\\\ --url https://cloudapi.mailercloud.com/v1/templates/details?id=abc \\\\ --header 'Authorization: Your API Key here'\",\"url\":\"https://apidoc.mailercloud.com/api-reference/templates/get-template-by-name-or-id\",\"mainEntityOfPage\":{\"@id\":\"https://apidoc.mailercloud.com/api-reference/templates/get-template-by-name-or-id#webpage\"},\"dateModified\":\"2026-10-27T11:58:41.466Z\",\"publisher\":{\"@id\":\"https://apidoc.mailercloud.com/#organization\"},\"isPartOf\":{\"@id\":\"https://apidoc.mailercloud.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Mailercloud API\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Mailercloud API","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":""}]},{"tab":"Marketing API","icon":"envelopes-bulk","groups":[{"group":"Campaigns","pages":[{"title":"Create Campaign","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /campaign","href":"/api-reference/campaigns/create-campaign"},{"title":"Create Campaign (v2)","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /campaign/save","href":"/api-reference/campaigns/create-campaign-v2"},{"title":"Campaign Domain Report","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /campaign/domain/report/{id}","href":"/api-reference/campaigns/campaign-domain-report"},{"title":"Campaign List","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /campaign/list","href":"/api-reference/campaigns/campaign-list"},{"title":"Testmail Group List","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /campaign/testmail-groups/list","href":"/api-reference/campaigns/testmail-group-list"},{"title":"Schedule Campaign","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /campaign/schedule/{id}","href":"/api-reference/campaigns/schedule-campaign"},{"title":"Send a Test Email","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /campaign/testmail/{id}","href":"/api-reference/campaigns/send-a-test-email"},{"title":"Get Single Campaign Details","deprecated":null,"version":null,"openapi":"/openapi-v1.json get /campaign/{id}","href":"/api-reference/campaigns/get-single-campaign-details"},{"title":"Update Campaign","deprecated":null,"version":null,"openapi":"/openapi-v1.json put /campaign/{id}","href":"/api-reference/campaigns/update-campaign"},{"title":"List Campaign Opens","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /campaign/{id}/opens","href":"/api-reference/campaigns/list-campaign-opens"},{"title":"List Campaign Clicks","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /campaign/{id}/clicks","href":"/api-reference/campaigns/list-campaign-clicks"},{"title":"List Campaign Unsubscribes","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /campaign/{id}/unsubs","href":"/api-reference/campaigns/list-campaign-unsubscribes"}]},{"group":"Custom Properties","pages":[{"title":"Create Property","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /contact/property","href":"/api-reference/custom-properties/create-property"},{"title":"Delete Property","deprecated":null,"version":null,"openapi":"/openapi-v1.json delete /contact/property/{id}","href":"/api-reference/custom-properties/delete-property"},{"title":"Update Property","deprecated":null,"version":null,"openapi":"/openapi-v1.json patch /contact/property/{id}","href":"/api-reference/custom-properties/update-property"},{"title":"List Property","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /contact/property/search","href":"/api-reference/custom-properties/list-property"}]},{"group":"Contacts","pages":[{"title":"Create Contact","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /contacts","href":"/api-reference/contacts/create-contact"},{"title":"Create or Update Contact","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /contacts/upsert","href":"/api-reference/contacts/create-or-update-contact"},{"title":"Get Contact Details","deprecated":null,"version":null,"openapi":"/openapi-v1.json get /contacts/{id}","href":"/api-reference/contacts/get-contact-details"},{"title":"Update Contact","deprecated":null,"version":null,"openapi":"/openapi-v1.json put /contacts/{id}","href":"/api-reference/contacts/update-contact"},{"title":"Delete Contact","deprecated":null,"version":null,"openapi":"/openapi-v1.json delete /contacts/{id}","href":"/api-reference/contacts/delete-contact"},{"title":"Remove Contact Tag","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /contact/tag/remove","href":"/api-reference/contacts/remove-contact-tag"},{"title":"Get Contacts in a List","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /contact/search/{id}","href":"/api-reference/contacts/get-contacts-in-a-list"},{"title":"Create Batch Contact","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /contacts/batch","href":"/api-reference/contacts/create-batch-contact"}]},{"group":"Lists","pages":[{"title":"Create a New List","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /list","href":"/api-reference/lists/create-a-new-list"},{"title":"Get Single List Details","deprecated":null,"version":null,"openapi":"/openapi-v1.json get /list/{id}","href":"/api-reference/lists/get-single-list-details"},{"title":"Delete a List","deprecated":null,"version":null,"openapi":"/openapi-v1.json delete /list/{id}","href":"/api-reference/lists/delete-a-list"},{"title":"Update a List","deprecated":null,"version":null,"openapi":"/openapi-v1.json patch /list/{id}","href":"/api-reference/lists/update-a-list"},{"title":"List Lists","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /lists/search","href":"/api-reference/lists/list-lists"}]},{"group":"Segments","pages":[{"title":"List Segment","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /segment/search","href":"/api-reference/segments/list-segment"},{"title":"Create Segment","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /segments","href":"/api-reference/segments/create-segment"},{"title":"Update a Segment","deprecated":null,"version":null,"openapi":"/openapi-v1.json put /segments/{id}","href":"/api-reference/segments/update-a-segment"}]},{"group":"Senders","pages":[{"title":"List Senders","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /senders/search","href":"/api-reference/senders/list-senders"},{"title":"List Reply Emails","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /reply-emails/search","href":"/api-reference/senders/list-reply-emails"},{"title":"Add a Sender","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /senders","href":"/api-reference/senders/add-a-sender"},{"title":"Delete a Sender","deprecated":null,"version":null,"openapi":"/openapi-v1.json delete /senders/{id}","href":"/api-reference/senders/delete-a-sender"}]},{"group":"Account","pages":[{"title":"Client Details","deprecated":null,"version":null,"openapi":"/openapi-v1.json get /client/plan","href":"/api-reference/account/client-details"}]},{"group":"Webforms","pages":[{"title":"Webform List","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /webform/search","href":"/api-reference/webforms/webform-list"}]},{"group":"Tags","pages":[{"title":"Create Tag","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /tags","href":"/api-reference/tags/create-tag"},{"title":"List Tags","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /tags/search","href":"/api-reference/tags/list-tags"},{"title":"Update Tag","deprecated":null,"version":null,"openapi":"/openapi-v1.json put /tags/{id}","href":"/api-reference/tags/update-tag"},{"title":"Delete Tag","deprecated":null,"version":null,"openapi":"/openapi-v1.json delete /tags/{id}","href":"/api-reference/tags/delete-tag"}]},{"group":"Webhooks","pages":[{"title":"Create a New Webhook","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /webhooks","href":"/api-reference/webhooks/create-a-new-webhook"},{"title":"Update a Webhook","deprecated":null,"version":null,"openapi":"/openapi-v1.json put /webhooks/{id}","href":"/api-reference/webhooks/update-a-webhook"},{"title":"Delete a Webhook","deprecated":null,"version":null,"openapi":"/openapi-v1.json delete /webhooks/{id}","href":"/api-reference/webhooks/delete-a-webhook"},{"title":"Get Webhook Details","deprecated":null,"version":null,"openapi":"/openapi-v1.json get /webhooks/detail/{id}","href":"/api-reference/webhooks/get-webhook-details"},{"title":"Search and List Webhooks","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /webhooks/search","href":"/api-reference/webhooks/search-and-list-webhooks"},{"title":"Test Webhook","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /webhooks/test","href":"/api-reference/webhooks/test-webhook"},{"title":"Toggle Webhook Status","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /webhooks/toggle/{id}","href":"/api-reference/webhooks/toggle-webhook-status"}]},{"group":"Templates","pages":[{"title":"Create Template","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /templates/create","href":"/api-reference/templates/create-template"},{"title":"Update Template","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /templates/update","href":"/api-reference/templates/update-template"},{"title":"Get Template Details","deprecated":null,"version":null,"openapi":"/openapi-v1.json get /templates/details/{id}","href":"/api-reference/templates/get-template-details"},{"title":"List Templates","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /templates/list","href":"/api-reference/templates/list-templates"},{"title":"Get Template Categories","description":"This API endpoint is used to list the template categories in Mailercloud.","deprecated":null,"version":null,"openapi":"/openapi-v1.json get /templates/categories/list","href":"/api-reference/templates/get-template-categories"},{"title":"Get Template by Name or ID","deprecated":null,"version":null,"openapi":"/openapi-v1.json get /templates/details","href":"/api-reference/templates/get-template-by-name-or-id"}]},{"group":"Automations","pages":[{"title":"Get Automation Details","description":"Retrieve details and node-level campaign report data for an advanced automation by its ID. The request body filters which node types are included.","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /automations/{id}","href":"/api-reference/automations/get-automation-details"},{"title":"Create Automation","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /automations","href":"/api-reference/automations/create-automation"}]},{"group":"Domains","pages":[{"title":"Add a Domain","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /domains","href":"/api-reference/domains/add-a-domain"},{"title":"List Domains","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /domains/search","href":"/api-reference/domains/list-domains"},{"title":"Get a Domain","deprecated":null,"version":null,"openapi":"/openapi-v1.json get /domains/{id}","href":"/api-reference/domains/get-a-domain"},{"title":"Update a Domain","deprecated":null,"version":null,"openapi":"/openapi-v1.json put /domains/{id}","href":"/api-reference/domains/update-a-domain"},{"title":"Delete a Domain","deprecated":null,"version":null,"openapi":"/openapi-v1.json delete /domains/{id}","href":"/api-reference/domains/delete-a-domain"},{"title":"Verify a Domain","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /domains/{id}/verify","href":"/api-reference/domains/verify-a-domain"},{"title":"Share DNS Records","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /domains/{id}/share","href":"/api-reference/domains/share-dns-records"}]},{"group":"Inbox Tracker","pages":[{"title":"Inbox-tracking","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /inbox-tracking","href":"/api-reference/inbox-tracker/inbox-tracking"},{"title":"List placement providers","deprecated":null,"version":null,"openapi":"/openapi-v1.json get /v2/placement/providers","href":"/api-reference/inbox-tracker/list-placement-providers"},{"title":"Start a placement test","deprecated":null,"version":null,"openapi":"/openapi-v1.json post /v2/placement/tests","href":"/api-reference/inbox-tracker/start-a-placement-test"},{"title":"Get a placement test","deprecated":null,"version":null,"openapi":"/openapi-v1.json get /v2/placement/tests/{test_id}","href":"/api-reference/inbox-tracker/get-a-placement-test"},{"title":"Get a campaign's latest placement test","deprecated":null,"version":null,"openapi":"/openapi-v1.json get /v2/placement/campaigns/{campaign_id}/latest","href":"/api-reference/inbox-tracker/get-a-campaigns-latest-placement-test"},{"title":"List a campaign's placement tests","deprecated":null,"version":null,"openapi":"/openapi-v1.json get /v2/placement/campaigns/{campaign_id}/tests","href":"/api-reference/inbox-tracker/list-a-campaigns-placement-tests"},{"title":"Get placement test quota","deprecated":null,"version":null,"openapi":"/openapi-v1.json get /v2/placement/quota","href":"/api-reference/inbox-tracker/get-placement-test-quota"}]}]},{"tab":"Email API","icon":"paper-plane","pages":[{"title":"Email API","href":"/api-reference/email/send-email"}]},{"tab":"Email Verifier","icon":"circle-check","pages":[{"title":"Email Verifier","href":"/api-reference/verification/verify-emails"}]}]},"title":"Get Template by Name or ID - Mailercloud API","buildId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","deploymentId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DmVyH30O.js","utils-BHQqGGOd.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CD-E4BIt.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bp5Lq9Ds.js","snippetPresets-C4xAVCFP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CgXVLxUC.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BF8I5oUf.js","shallow-Byd0lWnC.js","getApiPlaygroundDisplay-BGOZG1OK.js","CodeSnippet-CpvQL0CY.js","CodeSnippets-B8wkBKXa.js","Page-CBCH2P7b.js","getPastedJson-Ry3scI3Y.js","icon-D7a9HcdD.js","MethodPill-CJ8pmHhz.js","DuplicateIcon-rh1HJF0t.js","createIcon-DvGznqYs.js","DynamicMarkdown-Cc6AuSHS.js","SectionHeading-B4A0S-ep.js","axios-vUo_bRtp.js","Markdown-Cc16CX65.js","clsx-Cs6nMGht.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-zbf22OZA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-C_fs-y5n.js"]}